Foreman - Refactor #3539

Drop foreman-mysql
10/29/2013 03:24 PM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Database
Target version: 1.4.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/1709
Description

It's time to drop the old mysql adapter and support only mysql2. Our Cl only runs on mysql2 now, and we require mysql2 for foreign

key support.

Related issues:
Related to Foreman - Bug #3176: ENC output base64 encoded
Related to Foreman - Feature #2400: Add foreign keys on database level

Closed 10/01/2013
Closed 04/15/2013

Associated revisions

Revision 63b3ed2d - 12/12/2013 10:44 AM - Lukas Zapletal
fixes #3539 - removed legacy mysql adapter

Revision 2f0fdb78 - 01/27/2014 04:52 AM - Dominic Cleal

refs #3539 - remove unused -mysql packages

History

#1 - 10/29/2013 03:25 PM - Dominic Cleal
- Related to Bug #3176: ENC output base64 encoded added

#2 - 10/29/2013 03:25 PM - Dominic Cleal
- Related to Feature #2400: Add foreign keys on database level added

#3 - 11/12/2013 01:06 PM - Dominic Cleal

- Target version set to 1.10.0

#4 - 12/04/2013 01:24 PM - Anonymous

- Target version changed from 1.10.0 to 1.9.3

#5 - 12/06/2013 01:56 PM - Lukas Zapletal
- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

#6 - 12/06/2013 02:40 PM - Lukas Zapletal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1080

#7 - 12/12/2013 11:31 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
https://github.com/theforeman/foreman/pull/1080

- % Done changed from 0 to 100

Applied in changeset 63b3ed2d1d5e95af8fedb3fab8cdde3357a0eafd.

#8 - 09/26/2017 04:22 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-packaging/pull/1709 added
